<?php
define('USING_SYSTEM',			'1');

header('Expires: Mon, 26 Jul 1997 05:00:00 GMT');
header('Last-Modified: '.gmdate('D, d M Y H:i:s').' GMT');
header('Cache-Control: no-cache, must-revalidate');
header('Pramga: no-cache');

include_once 'slex.php';
xCore::start();

if(!xUser::$cur->isGuest()) {
	if(xUser::$cur->id == '1') {
		if(!isset($_SESSION['cplastvisit'])) $_SESSION['cplastvisit'] = 0;
		if(!isset($_GET['ac'])) {
			if($_SESSION['cplastvisit'] > time() - 900) {
				$_SESSION['cplastvisit'] = time();
				header('Location: admin.php?ac=panel');
			} else {
				if(isset($_POST['password'])) {
					// --- login ---
					if(xUser::$cur->verifyPassword($_POST['password'])) {
						$_SESSION['cplastvisit'] = time();
						header('Location: admin.php?ac=panel');
					} else {
						$_ENV->exec('index', false, 'admin/');
					}
				} else {
					$_ENV->exec('index', false, 'admin/');
				}
			}
		} else if(in_array($_GET['ac'], array(
			'panel',
			// --- 核心设置 ---
			'p101', // 后台首页
			'p102', // 站点信息
			'p103', // 注册设置
			'p104', // SEO设置
			'p105', // SMTP设置
			'p201', // 管理用户
			'p201edit',
			'p202', // 管理用户组
			'p202edit',
			'p301', // 管理模板
			'p401', // 管理云卷
			'p402', // 文件清理
			'p403', // 文件预览
			'p401edit',
			'p501', // 缓存更新
			'p502', // 语言编辑
			'p601' // 退出后台
		))) {
			if($_SESSION['cplastvisit'] > time() - 900) {
				$_SESSION['cplastvisit'] = time();
				$_ENV->exec($_GET['ac'], false, 'admin/');
			} else {
				echo '<script type="text/javascript">window.top.location.href="admin.php";</script>';
			}
		} else {
			echo 'Access Fail.';
		}
	} else {
		header('Location: ./');
	}
} else {
	header('Location: ./');
}

